Class | ActionController::Routing::Optimisation::Optimiser
In: | lib/action_controller/routing/optimisations.rb
Parent: | Object

### Methods

applicable? generation_code guard_conditions new source_code

### Constants

GLOBAL_GUARD_CONDITIONS | = | [ "(!defined?(default_url_options) || default_url_options.blank?)", "(!defined?(controller.default_url_options) || controller.default_url_options.blank?)", "defined?(request)", "request"

### Attributes

kind | [R] |
route | [R] |

### Public Class methods

new(route, kind)

### Public Instance methods

applicable?()

Temporarily disabled `:url` optimisation pending proper solution to Issues around request.host etc.

generation_code()
guard_conditions()
source_code()

[Validate]